another fatal error (seems to be caused by throwing)

TheEvPatch

New Member
Can anyone help? My console says this (you can probbably gather what plugins im using)
19:18:38 [INFO ] Loading nukkit.yml ...
19:18:39 [INFO ] Loading server.properties ...
19:18:39 [INFO ] Selected English (eng) as the base language
19:18:39 [INFO ] Starting Minecraft: BE server version v1.13.0
19:18:39 [INFO ] Selected Zlib Provider: 2 (cn.nukkit.utils.ZlibThreadLocal)
19:18:39 [INFO ] Opening server on (ip hidden)
19:18:39 [INFO ] This server is running Nukkit version git-5b752b0 "" (API 1.0.9)
19:18:39 [INFO ] Nukkit is distributed under the LGPL License
19:18:42 [INFO ] Loading recipes...
19:18:43 [INFO ] Loaded 1315 recipes.
19:18:43 [INFO ] Successfully loaded 0 resource packs
19:18:44 [INFO ] Loading AutoLagClear v1
19:18:44 [INFO ] Loading CustomHeads v1.0
19:18:44 [INFO ] Loading DbLib v0.2.2
19:18:44 [INFO ] Epoll Status is false
19:18:44 [INFO ] [DbLib] Connecting to: jdbc:sqlite:nukkit.db (user: nukkit)
> Loading class `com.mysql.jdbc.Driver'. This is deprecated. The new driver class is `com.mysql.cj.jdbc.Driver'. The driver is automatically registered via the SPI and manual loading of the driver class is generally unnecessary.
19:18:45 [INFO ] [DbLib] DbLib 0.2.2 created by fromgate for nukkit.ru
19:18:45 [INFO ] Loading EssentialsNK v1.8.0
19:18:45 [INFO ] Loading FastAsyncWorldEdit v19.11.13-5505943-1282-22.3.5
19:18:45 [INFO ] Loading FlyvUI v1.0
19:18:45 [INFO ] Loading GamemodeUI v1.0
19:18:45 [INFO ] Loading KotlinLib v1.1
19:18:45 [INFO ] Loading LuckPerms v4.4.31
19:18:45 [INFO ] Loading MOTD v1.0
19:19:47 [INFO ] Loading NoSpaceInName v1.0
19:19:47 [INFO ] Loading NPC v2.2.6
19:19:47 [INFO ] Loading Pets v1.3
19:19:48 [INFO ] Loading PlaceholderAPI v1.3.1
19:19:48 [INFO ] Loading Report v1.2.1
19:19:48 [INFO ] Loading SkinChanger v1.0.0
19:19:48 [INFO ] Loading WebBrowser v1.0.0
19:19:48 [ERROR] Throwing
java.lang.UnsupportedClassVersionError: itsu/mcbe/webbrowser/core/Main has been compiled by a more recent version of the Java Runtime (class file version 54.0), this version of the Java Runtime only recognizes class file versions up to 52.0
at java.lang.ClassLoader.defineClass1(Native Method) ~[?:1.8.0_231]
at java.lang.ClassLoader.defineClass(Unknown Source) ~[?:1.8.0_231]
at java.security.SecureClassLoader.defineClass(Unknown Source) ~[?:1.8.0_231]
at java.net.URLClassLoader.defineClass(Unknown Source) ~[?:1.8.0_231]
at java.net.URLClassLoader.access$100(Unknown Source) ~[?:1.8.0_231]
at java.net.URLClassLoader$1.run(Unknown Source) ~[?:1.8.0_231]
at java.net.URLClassLoader$1.run(Unknown Source) ~[?:1.8.0_231]
at java.security.AccessController.doPrivileged(Native Method) ~[?:1.8.0_231]
at java.net.URLClassLoader.findClass(Unknown Source) ~[?:1.8.0_231]
at cn.nukkit.plugin.PluginClassLoader.findClass(PluginClassLoader.java:44) ~[nukkit-1.0-SNAPSHOT.jar:?]
at cn.nukkit.plugin.JavaPluginLoader.getClassByName(JavaPluginLoader.java:145) ~[nukkit-1.0-SNAPSHOT.jar:?]
at cn.nukkit.plugin.PluginClassLoader.findClass(PluginClassLoader.java:40) ~[nukkit-1.0-SNAPSHOT.jar:?]
at cn.nukkit.plugin.PluginClassLoader.findClass(PluginClassLoader.java:28) ~[nukkit-1.0-SNAPSHOT.jar:?]
at java.lang.ClassLoader.loadClass(Unknown Source) ~[?:1.8.0_231]
at java.lang.ClassLoader.loadClass(Unknown Source) ~[?:1.8.0_231]
at cn.nukkit.plugin.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:47) ~[nukkit-1.0-SNAPSHOT.jar:?]
at cn.nukkit.plugin.PluginManager.loadPlugin(PluginManager.java:95) ~[nukkit-1.0-SNAPSHOT.jar:?]
at cn.nukkit.plugin.PluginManager.loadPlugins(PluginManager.java:272) ~[nukkit-1.0-SNAPSHOT.jar:?]
at cn.nukkit.plugin.PluginManager.loadPlugins(PluginManager.java:132) ~[nukkit-1.0-SNAPSHOT.jar:?]
at cn.nukkit.plugin.PluginManager.loadPlugins(PluginManager.java:124) ~[nukkit-1.0-SNAPSHOT.jar:?]
at cn.nukkit.plugin.PluginManager.loadPlugins(PluginManager.java:120) ~[nukkit-1.0-SNAPSHOT.jar:?]
at cn.nukkit.Server.<init>(Server.java:481) ~[nukkit-1.0-SNAPSHOT.jar:?]
at cn.nukkit.Nukkit.main(Nukkit.java:112) [nukkit-1.0-SNAPSHOT.jar:?]
19:19:48 [INFO ] Stopping other threads
Press any key to continue . . .
 

PetteriM1

Supporter
Can anyone help? My console says this (you can probbably gather what plugins im using)
19:18:38 [INFO ] Loading nukkit.yml ...
19:18:39 [INFO ] Loading server.properties ...
19:18:39 [INFO ] Selected English (eng) as the base language
19:18:39 [INFO ] Starting Minecraft: BE server version v1.13.0
19:18:39 [INFO ] Selected Zlib Provider: 2 (cn.nukkit.utils.ZlibThreadLocal)
19:18:39 [INFO ] Opening server on (ip hidden)
19:18:39 [INFO ] This server is running Nukkit version git-5b752b0 "" (API 1.0.9)
19:18:39 [INFO ] Nukkit is distributed under the LGPL License
19:18:42 [INFO ] Loading recipes...
19:18:43 [INFO ] Loaded 1315 recipes.
19:18:43 [INFO ] Successfully loaded 0 resource packs
19:18:44 [INFO ] Loading AutoLagClear v1
19:18:44 [INFO ] Loading CustomHeads v1.0
19:18:44 [INFO ] Loading DbLib v0.2.2
19:18:44 [INFO ] Epoll Status is false
19:18:44 [INFO ] [DbLib] Connecting to: jdbc:sqlite:nukkit.db (user: nukkit)
> Loading class `com.mysql.jdbc.Driver'. This is deprecated. The new driver class is `com.mysql.cj.jdbc.Driver'. The driver is automatically registered via the SPI and manual loading of the driver class is generally unnecessary.
19:18:45 [INFO ] [DbLib] DbLib 0.2.2 created by fromgate for nukkit.ru
19:18:45 [INFO ] Loading EssentialsNK v1.8.0
19:18:45 [INFO ] Loading FastAsyncWorldEdit v19.11.13-5505943-1282-22.3.5
19:18:45 [INFO ] Loading FlyvUI v1.0
19:18:45 [INFO ] Loading GamemodeUI v1.0
19:18:45 [INFO ] Loading KotlinLib v1.1
19:18:45 [INFO ] Loading LuckPerms v4.4.31
19:18:45 [INFO ] Loading MOTD v1.0
19:19:47 [INFO ] Loading NoSpaceInName v1.0
19:19:47 [INFO ] Loading NPC v2.2.6
19:19:47 [INFO ] Loading Pets v1.3
19:19:48 [INFO ] Loading PlaceholderAPI v1.3.1
19:19:48 [INFO ] Loading Report v1.2.1
19:19:48 [INFO ] Loading SkinChanger v1.0.0
19:19:48 [INFO ] Loading WebBrowser v1.0.0
19:19:48 [ERROR] Throwing
java.lang.UnsupportedClassVersionError: itsu/mcbe/webbrowser/core/Main has been compiled by a more recent version of the Java Runtime (class file version 54.0), this version of the Java Runtime only recognizes class file versions up to 52.0
at java.lang.ClassLoader.defineClass1(Native Method) ~[?:1.8.0_231]
at java.lang.ClassLoader.defineClass(Unknown Source) ~[?:1.8.0_231]
at java.security.SecureClassLoader.defineClass(Unknown Source) ~[?:1.8.0_231]
at java.net.URLClassLoader.defineClass(Unknown Source) ~[?:1.8.0_231]
at java.net.URLClassLoader.access$100(Unknown Source) ~[?:1.8.0_231]
at java.net.URLClassLoader$1.run(Unknown Source) ~[?:1.8.0_231]
at java.net.URLClassLoader$1.run(Unknown Source) ~[?:1.8.0_231]
at java.security.AccessController.doPrivileged(Native Method) ~[?:1.8.0_231]
at java.net.URLClassLoader.findClass(Unknown Source) ~[?:1.8.0_231]
at cn.nukkit.plugin.PluginClassLoader.findClass(PluginClassLoader.java:44) ~[nukkit-1.0-SNAPSHOT.jar:?]
at cn.nukkit.plugin.JavaPluginLoader.getClassByName(JavaPluginLoader.java:145) ~[nukkit-1.0-SNAPSHOT.jar:?]
at cn.nukkit.plugin.PluginClassLoader.findClass(PluginClassLoader.java:40) ~[nukkit-1.0-SNAPSHOT.jar:?]
at cn.nukkit.plugin.PluginClassLoader.findClass(PluginClassLoader.java:28) ~[nukkit-1.0-SNAPSHOT.jar:?]
at java.lang.ClassLoader.loadClass(Unknown Source) ~[?:1.8.0_231]
at java.lang.ClassLoader.loadClass(Unknown Source) ~[?:1.8.0_231]
at cn.nukkit.plugin.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:47) ~[nukkit-1.0-SNAPSHOT.jar:?]
at cn.nukkit.plugin.PluginManager.loadPlugin(PluginManager.java:95) ~[nukkit-1.0-SNAPSHOT.jar:?]
at cn.nukkit.plugin.PluginManager.loadPlugins(PluginManager.java:272) ~[nukkit-1.0-SNAPSHOT.jar:?]
at cn.nukkit.plugin.PluginManager.loadPlugins(PluginManager.java:132) ~[nukkit-1.0-SNAPSHOT.jar:?]
at cn.nukkit.plugin.PluginManager.loadPlugins(PluginManager.java:124) ~[nukkit-1.0-SNAPSHOT.jar:?]
at cn.nukkit.plugin.PluginManager.loadPlugins(PluginManager.java:120) ~[nukkit-1.0-SNAPSHOT.jar:?]
at cn.nukkit.Server.<init>(Server.java:481) ~[nukkit-1.0-SNAPSHOT.jar:?]
at cn.nukkit.Nukkit.main(Nukkit.java:112) [nukkit-1.0-SNAPSHOT.jar:?]
19:19:48 [INFO ] Stopping other threads
Press any key to continue . . .
Plugin itsu/mcbe/webbrowser/core/Main is compiled with a Java version newer than yours. You need to compile the plugin with Java version you use or update your java version. I recemmend to always compile plugins with Java 8 if possible so they work on all versions above that.
 
Top